## ros-iron-ur-calibration 2.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_calibration)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

add_compile_options(-Wno-unused-parameter)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: selecting 'RelWithDebInfo'.")
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(ur_robot_driver REQUIRED)

find_package(Eigen3 REQUIRED)
find_package(yaml-cpp REQUIRED)
find_package(ur_client_library REQUIRED)

set(YAML_CPP_INCLUDE_DIRS ${YAML_CPP_INCLUDE_DIR})

###########
## Build ##
###########

add_library(calibration
  src/calibration.cpp
  src/calibration_consumer.cpp
)
target_include_directories(calibration
  PUBLIC
    include
    ${EIGEN3_INCLUDE_DIRS}
    ${YAML_CPP_INCLUDE_DIRS}
)
target_link_libraries(calibration
  ${YAML_CPP_LIBRARIES}
)
ament_target_dependencies(calibration
  rclcpp
  ur_robot_driver
)

add_executable(calibration_correction
  src/calibration_correction.cpp
)
target_include_directories(calibration_correction
  PRIVATE
    include
)
target_link_libraries(calibration_correction
  ur_client_library::urcl
)
target_link_libraries(calibration_correction
  calibration
)

install(TARGETS calibration_correction
        RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
        DESTINATION include
)

install(DIRECTORY launch
        DESTINATION share/${PROJECT_NAME}
)

## Add gtest based cpp test target and link libraries
if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)

  # Get the first item (it will be the build space version of the build path).
  list(GET ament_index_build_path 0 ament_index_build_path)
  if(WIN32)
    # On Windows prevent CMake errors and prevent it being evaluated as a list.
    string(REPLACE "\\" "/" ament_index_build_path "${ament_index_build_path}")
  endif()

  ament_add_gmock(
          calibration_test
          test/calibration_test.cpp
  )
  target_link_libraries(calibration_test
    calibration
  )
endif()

ament_export_include_directories(
        include
)
ament_export_dependencies(
        ur_robot_driver
        rclcpp
)
ament_package()

=== debian/changelog ===
ros-iron-ur-calibration (2.3.3-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Wed, 23 Aug 2023 00:00:00 -0000

ros-iron-ur-calibration (2.3.2-1jammy) jammy; urgency=high

  * Fixed formatting (#685 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/685>)
    * Removed empty lines from python files
    * Fixed typo in changelogs
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <exner@fzi.de>  Fri, 02 Jun 2023 00:00:00 -0000

ros-iron-ur-calibration (2.3.1-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Thu, 16 Mar 2023 00:00:00 -0000

ros-iron-ur-calibration (2.3.0-1jammy) jammy; urgency=high

  * Fixes launchfile references (#490 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/490>)
    The filename with the dual type ending was wrong.
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 02 Mar 2023 00:00:00 -0000

ros-iron-ur-calibration (2.2.4-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Fri, 07 Oct 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.3-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Wed, 27 Jul 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.2-1jammy) jammy; urgency=high

  * Made sure all past maintainers are listed as authors (#429 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/429>)
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Tue, 19 Jul 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.1-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Mon, 27 Jun 2022 00:00:00 -0000

ros-iron-ur-calibration (2.2.0-1jammy) jammy; urgency=high

  * Updated package maintainers
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Add missing dependency on angles and update formatting for linters. (#283 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/283>)
  * Calibration extraction package (#186 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/186>)
  * Contributors: Denis Štogl, Felix Exner, livanov93

 -- Felix Exner <exner@fzi.de>  Mon, 20 Jun 2022 00:00:00 -0000

=== debian/control ===
Source: ros-iron-ur-calibration
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-ur-client-library, ros-iron-ur-robot-driver, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-ur-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libyaml-cpp-dev, ros-iron-rclcpp, ros-iron-ur-client-library, ros-iron-ur-robot-driver, ros-iron-ros-workspace
Description: Package for extracting the factory calibration from a UR robot and change it such that it can be used by ur_description to gain a correct URDF

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-ur-calibration//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
